# H323Gatekeeper::AdmissionResponse Struct Reference

`#include <gkclient.h>`

Collaboration diagram for H323Gatekeeper::AdmissionResponse:

[legend]

## Public Member Functions

| AdmissionResponse ()

## Data Fields

unsigned | rejectReason
PBoolean | gatekeeperRouted
| Reject reason if returns false.
PINDEX | endpointCount
| Flag for call is through gk.
H323TransportAddress * | transportAddress
| Number of endpoints that can be returned.
PBYTEArray * | accessTokenData
| Transport address or remote endpoint.
H225_ArrayOf_AliasAddress * | aliasAddresses
| iNow Gatekeeper Access Token data
H225_ArrayOf_AliasAddress * | destExtraCallInfo
| DestinationInfo to use in SETUP if not empty.

## Constructor & Destructor Documentation

H323Gatekeeper::AdmissionResponse::AdmissionResponse | ( |  | ) |

## Field Documentation

PBYTEArray* H323Gatekeeper::AdmissionResponse::accessTokenData

Transport address or remote endpoint.

H225_ArrayOf_AliasAddress* H323Gatekeeper::AdmissionResponse::aliasAddresses

iNow Gatekeeper Access Token data

H225_ArrayOf_AliasAddress* H323Gatekeeper::AdmissionResponse::destExtraCallInfo

DestinationInfo to use in SETUP if not empty.

PINDEX H323Gatekeeper::AdmissionResponse::endpointCount

Flag for call is through gk.

PBoolean H323Gatekeeper::AdmissionResponse::gatekeeperRouted

Reject reason if returns false.

unsigned H323Gatekeeper::AdmissionResponse::rejectReason

H323TransportAddress* H323Gatekeeper::AdmissionResponse::transportAddress

Number of endpoints that can be returned.

The documentation for this struct was generated from the following file:

- gkclient.h